package cn.superdesk.uniorder.dao.mapper.marketing;

import cn.superdesk.uniorder.dao.entity.marketing.UnifiedStatisticsVirt;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedCustomerTJ;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedOrderLastMonth;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedStatisticsVirtSum;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedStatisticsVirtVo;
import cn.superdesk.uniorder.dto.vo.wechat.WxBillVirt;
import cn.superdesk.uniorder.dto.vo.wechat.WxBillVirtItem;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface UnifiedStatisticsVirtMapperCommon {


	List<UnifiedStatisticsVirt> getVirtOrderReturnStatistical(Map<String, Object> queryMap);

	/**
	 * 将要弃用
	 *
	 * @param sm
	 * @return
	 */
	@Deprecated
	UnifiedStatisticsVirt selectByModel(UnifiedStatisticsVirt sm);

	List<UnifiedStatisticsVirt> findAll(Map<String, Object> queryMap);

	List<UnifiedStatisticsVirtVo> findAllVo(Map<String, Object> params);

	UnifiedOrderLastMonth getlastmonth();

	BigDecimal getReturnAmount(Map<String, Object> returnamountqueryMap);

	BigDecimal getundzamount(Map<String, Object> params);

	BigDecimal getuninvamount(Map<String, Object> params);

	BigDecimal getunpaymoney(Map<String, Object> params);

	BigDecimal getOrderCostAmount(Map<String, Object> costQuery);

	BigDecimal getOrderAmountByAreaItem(Map<String, Object> queryTJ);

	BigDecimal getreturnAmountByAreaItem(Map<String, Object> queryTJ);


	WxBillVirt getVirtBill(Map<String, Object> params);

	List<WxBillVirtItem> getVirtItemBill(Map<String, Object> params);

	List<UnifiedCustomerTJ> getData(Map<String, Object> params);

	UnifiedStatisticsVirtSum getStatisticsSum(Map<String, Object> query);


}